Subject: Re: email oid

From: "Robert Klerer" <[email-masked]>
Date: Mon, 2 Nov 1998 11:15:49 -0500

Sandi,  If we want to do a complete job we need to widen the survey a
little.  We have three sets of names to deal with:  LDAP attribute name,
x.500 OID and RDN tag.  The places where an email address has been put (that
I have found in my wonderings around PKI) for secure email (which is
converging on SMIME) are as follows:

OID's:
1.2.840.113549.1.9.1
0.9.2342.19200300.100.1.3

LDAP attribute names:
mail
email
InternetAddress
RFC822mailbox
LabeledURI  (occasionally misspelled as LabelledURI)

RDN tags:
EA
EM

The syntax for LabeledURI is different than the others and may hold
information other than email address.  We can go through "who does what",
but I'm not sure that helpful since the mappings between the name sets are
all controllable.

Since I live in the x.500 world, I would prefer a single OID and can
tolerate as many LDAP (textual) synonyms as others require.  I would suspect
those running LDAP repositories may have a different opinion.  The variance
in RDN tag is a little disconcerting from a PKI point of view since the
x.500 name, to which a certificate binds a key, may change depending on how
the certificate viewer maps RDN OIDs to RDN tags.

Robert
-----Original Message-----
From: Miklos, Sue A. <[email-masked]>
To: 'Russ Housley' <[email-masked]>; 'Robert Klerer' <[email-masked]>
Cc: 'ietf-pkix' <[email-masked]>; [email-masked]'
<[email-masked]>
Date: Monday, November 02, 1998 10:31 AM
Subject: RE: email oid

>Robert, in a brief look at the Internet Person draft from netscape, it
>appears they are using the 'rfc822mailbox' oid ('mail' for short).  I
>was told that a quick search with netscape navigator and outlook express
>(LDAP interfaces) appear to search for the 'mail' attribute - mapped to
>rfc822mailbox?
>
>Could either the outlook or netscape folks tell us what they are
>searching on?  "mail" or "emailAddress"?  Is Entrust using the pkcs 9
>oid?
>
>I would like to ensure the specs we are generating capture the
>concensus.
>
>Thanks,
>Sandi
>
>>----------
>>From: Robert Klerer[SMTP:[email-masked]]
>>Sent: Friday, October 30, 1998 4:47 PM
>>To: Miklos, Sue A.; 'Russ Housley'
>>Cc: 'ietf-pkix'; [email-masked]
>>Subject: Re: email oid
>>
>>Sue,
>>
>>Adding the additional OID would not be the optimum solution.  Since if I
>>have an RDN of EA=[email-masked], am I referring to the RFC822mailbox or
>>the pkcs-9 address?  Whichever choice will be wrong sometimes -- hence the
>>problem.  pkix should NOT perpetuate the problem by again calling the same
>>thing two different names.
>>
>>Robert
>>
>>-----Original Message-----
>>From: Miklos, Sue A. <[email-masked]>
>>To: 'Russ Housley' <[email-masked]>
>>Cc: 'ietf-pkix' <[email-masked]>; [email-masked]'
<[email-masked]>;
>>[email-masked]' <[email-masked]>
>>Date: Friday, October 30, 1998 2:34 PM
>>Subject: RE: email oid
>>
>>
>>>Russ, and others, may I then request that it be included or is that not
>>>possible?
>>>
>>>Sandi
>>>
>>>>----------
>>>>From: Russ Housley[SMTP:[email-masked]]
>>>>Sent: Friday, October 30, 1998 1:35 PM
>>>>To: Miklos, Sue A.
>>>>Cc: 'ietf-pkix'; [email-masked]'; [email-masked]'
>>>>Subject: Re: email oid
>>>>
>>>>Sandi:
>>>>
>>>>"Remain" is the issue.  It is not in PKIX part 1!
>>>>
>>>>Russ
>>>>
>>>>
>>>>At 11:53 AM 10/30/98 -0500, Miklos, Sue A. wrote:
>>>>>All,
>>>>>In the specifications for the schema for an international defense
>>>>>system, we have chosen rfc822Mailbox, {0 9 2342 19200300 100 1 3}
>>>>>registered
>>>>>in RFC 1274. This attribute was also called mail in one Internet Draft.
>>>>>I would like to request that this remain in whatever documentation you
>>>>>develop.
>>>>>
>>>>>Thanks,
>>>>>Sandi Miklos
>>>>>>
>>>>>>
>>>>>>----------
>>>>>>From: Wang, John[SMTP:[email-masked]]
>>>>>>Sent: Thursday, October 29, 1998 9:17 AM
>>>>>>To: 'Robert Klerer'; [email-masked]
>>>>>>Subject: RE: email oid
>>>>>>
>>>>>>It was my understanding that the RSA-pkcs-9 email address OID
>>>>>>(1.2.840.113549.1.9.1) was the more commonly used OID. I don't
>>>>>>think you can remove the RSA oid but perhaps add the RFC1274 oid
>>>>>>if there is a demand for it.
>>>>>>
>>>>>>-----Original Message-----
>>>>>>From: Robert Klerer [mailto:[email-masked]]
>>>>>>Sent: Thursday, October 29, 1998 8:19 AM
>>>>>>To: [email-masked]
>>>>>>Subject: email oid
>>>>>>
>>>>>>
>>>>>>The other day in trying to accommodate a legacy pki, I ran into a
>>problem
>>>>>>with an oid specified in draft-ietf-pkix-ipki-part1-11.  The ASN.1
>>>>>>specifies
>>>>>>that the oid used for an email address in the distinguished name is
>>>>>>1.2.840.113549.1.9.1, which refers to a RSA-pkcs-9 email address.  I
and
>>>>>>others have been using 0.9.2342.19200300.100.1.3 which is for internet
>>mail
>>>>>>as specified in RFC1274.
>>>>>>
>>>>>>Since I believe that the intention is for both of these oids are meant
>>to
>>>>>>represent attributes that hold the same information, this discrepancy
>>may
>>>>>>cause confusion and failures in the future.  My suggestion would be to
>>>>>>change part1 to refer to the more commonly used OID.
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>
>>>>
>>>
>>
>>
>